Returns tracking data for a specific employee in a warehouse.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/warehouse-assistant/employee-locations/by-user \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/warehouse-assistant/employee-locations/by-user"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/warehouse-assistant/employee-locations/by-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"userIdentifier": 123,
"userName": "<string>",
"lastActivityTimestamp": "2023-11-07T05:31:56Z",
"binLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"activityTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"activityTypeName": "<string>",
"articleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"articleName": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Warehouse Assistant
Returns tracking data for a specific employee in a warehouse.
GET
/
v2
/
warehouse-assistant
/
employee-locations
/
by-user
Returns tracking data for a specific employee in a warehouse.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Warehouse to scope the query.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Employee user ID (kBenutzer).
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Only include items whose LastActivityTimestamp is after (greater than) this value.
Only include items whose LastActivityTimestamp is before (less than) this value.
Was this page helpful?